Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.runtime
Class PDeletedFlushedState

    java.lang.Object
      |
      +--com.solarmetric.kodo.runtime.JDOState
            |
            +--com.solarmetric.kodo.runtime.PDeletedState
                  |
                  +--com.solarmetric.kodo.runtime.PDeletedFlushedState

class PDeletedFlushedState
extends PDeletedState

JDO lifecycle state.

Represents a persistent instance that has been deleted in the current transaction, and that has been flushed to the database.

Fields inherited from class com.solarmetric.kodo.runtime.JDOState
`HOLLOW, PCLEAN, PDELETED, PDELETEDFLUSHED, PDIRTY, PNEW, PNEWDELETED, PNEWDELETEDFLUSHED, PNEWFLUSHED, PNEWFLUSHEDDELETED, PNEWFLUSHEDDELETEDFLUSHED, PNONTRANS, TCLEAN, TDIRTY, TRANSIENT`

Constructor Summary
`(package private)` | `PDeletedFlushedState()`

Method Summary
`(package private) void` | `beforeCommit(StateManagerImpl context)` Called before the state is committed.
`(package private) void` | `beforeFlush(StateManagerImpl context)` Called before the state is flushed.
`(package private) JDOState` | `flush(StateManagerImpl context)` Perform any actions necesssary and return the proper lifecycle state on transaction flush.
`(package private) void` | `initialize(StateManagerImpl context)` Called when this state is first assigned to the given state manager.
`(package private) boolean` | `isFlushed()` Return whether this is a flushed state.

Methods inherited from class com.solarmetric.kodo.runtime.PDeletedState
`beforeOptimisticRead, beforeOptimisticWrite, beforeRead, beforeWrite, commit, commitRetain, isDeleted, isDirty, isPersistent, isTransactional, makeNontransactional, makeTransient, rollback, rollbackRetain`

Methods inherited from class com.solarmetric.kodo.runtime.JDOState
`afterNontransactionalRefresh, afterOptimisticRefresh, afterRefresh, beforeNontransactionalRead, beforeNontransactionalWrite, deletePersistent, error, evict, isNew, makePersistent, makeTransactional`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PDeletedFlushedState

    PDeletedFlushedState()

Method Detail

### initialize

    void initialize(StateManagerImpl context)

  Description copied from class: `JDOState`
  Called when this state is first assigned to the given state manager.
  Overrides:
    `initialize` in class `PDeletedState`

### beforeFlush

    void beforeFlush(StateManagerImpl context)

  Description copied from class: `JDOState`
  Called before the state is flushed. This is only invoked when the user explicitly invokes `PersistenceManagerImpl.flush()`. That is, it is not invoked when flushing due to a commit operation.
  Overrides:
    `beforeFlush` in class `JDOState`

### flush

    JDOState flush(StateManagerImpl context)

  Description copied from class: `JDOState`
  Perform any actions necesssary and return the proper lifecycle state on transaction flush. This is only invoked when the user explicitly invokes `PersistenceManagerImpl.flush()`. That is, it is not invoked when flushing due to a commit operation. That is Returns the `this` pointer by default.
  Overrides:
    `flush` in class `PDeletedState`

### beforeCommit

    void beforeCommit(StateManagerImpl context)

  Description copied from class: `JDOState`
  Called before the state is committed.
  Overrides:
    `beforeCommit` in class `JDOState`

### isFlushed

    boolean isFlushed()

  Description copied from class: `JDOState`
  Return whether this is a flushed state. Returns `false` by default. Flushed states are those for which `PersistenceManagerImpl.flush()` has been invoked at least once. That is, `PNewFlushed` returns `true`, and so does `PNewFlushedDeleted`. So, it is not sufficient to check if this returns `true` to know if there are outstanding changes that need to be flushed.
  Overrides:
    `isFlushed` in class `JDOState`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.